Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.server.qmanager
Class QueuedEvent

    java.lang.Object
      gecco.server.qmanager.QueuedEvent

public class QueuedEvent
extends Object

This class encapsulates data about an AutomatonEvent in the queue of the server. The data consists of the AutomatonEvent instance and the coordinates of the automaton to be affected.

Author:
  Henrik Bäärnhielm, Karl Hasselström, Henrik Hägerström

Constructor Summary
`QueuedEvent(AutomatonEvent theEvent, int x, int y)` Constructor for the QueuedEvent object

Method Summary
`AutomatonEvent` | `getAutomatonEvent()` Gets the queued AutomatonEvent instance
`int` | `getX()` Gets the x coordinate of the automaton to be affected
`int` | `getY()` Gets the y coordinate of the automaton to be affected

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueuedEvent

    public QueuedEvent(AutomatonEvent theEvent,
                       int x,
                       int y)

  Constructor for the QueuedEvent object

Parameters:
  `theEvent` - The event to be queued.
  `x` - The x coordinate of the automaton to be affected
  `y` - The y coordinate of the automaton to be affected

Method Detail

### getX

    public int getX()

  Gets the x coordinate of the automaton to be affected

  Returns:
    The x coordinate

### getY

    public int getY()

  Gets the y coordinate of the automaton to be affected

  Returns:
    The y coordinate

### getAutomatonEvent

    public AutomatonEvent getAutomatonEvent()

  Gets the queued AutomatonEvent instance

  Returns:
    The AutomatonEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD